<%--****************************************************************************
Copyright (c) 2000 Oracle Corporation

System      : IPET (Internet Planning and Estimating Tool)

File        : notes.jsp

Classes     : _notes.class

Notes       :

Open Issues :

$REVISION_HISTORY$
11-oct-2002   Peter Ebell
  1.5         Set a title on the window to hide ugly URL
09-jul-2002   Peter Ebell
  1.4         - Changed way in which field value is passed to this jsp.
              - Incorporate maxlength property so that you cannot enter
                more data in this editor than you would be able to in the
                field itself.
              - Added Undo button, basically because it was incredibly easy to 
                implement.
09-may-2001   Peter Ebell                       
  1.3         Added returnDisplayValue and returnValueValue variables, as they are read by Forms.js
              when the window is closed.
01-may-2001   Steven Davelaar                   
  1.2         Enlarged notes field, set wrap on
              changed button label to OK
15-mar-2001   Maurits Blok                      
  1.1         Added hidden comment brackets. 
15-mar-2001   Maurits Blok
  1.0         Initial creation.

******************************************************************************/
/*
$ADD_TO_REVISION_HISTORY
$
--%>
<%@ page import='oracle.cabo.ui.ServletRenderingContext'%>
<%@ page import='oracle.cabo.ui.beans.StyleSheetBean'%>
<%@ page import='oracle.cabo.ui.beans.form.FormBean'%>
<%@ page import='oracle.cabo.ui.beans.form.TextInputBean'%>
<%@ page import='oracle.cabo.ui.beans.nav.ButtonBean'%>
<%@ page import='oracle.cabo.ui.beans.layout.HeaderBean'%>
<%@ page import='oracle.cabo.ui.beans.layout.SpacerBean'%>
<%@ page import='oracle.cabo.ui.beans.layout.RowLayoutBean'%>

<%
ServletRenderingContext rContext = new ServletRenderingContext(pageContext);
StyleSheetBean.sharedInstance().render(rContext);
%>
<HTML>
  <HEAD>
    <TITLE>Text Editor</TITLE>
  </HEAD>
  
<script>

  function doCancel()
  {
    top.returnValue = (void 0);
    top.returnDisplayValue = (void 0);
    top.returnValueValue = (void 0);

    top.close();

    return false;
  }

  function returnNotes()
  {
    top.returnValue = document.form.notes.value;
    top.returnDisplayValue = document.form.notes.value;
    top.returnValueValue = document.form.notes.value;
    top.close();

    return false;
  }

  function fillNotesField()
  { 
     document.form.notes.value=opener.editorFieldValue;
     return false;
  }  
</script>

<jsp:useBean id="root"
             scope="request"
             class="oracle.cabo.ui.beans.BodyBean">

<%
HeaderBean header = new HeaderBean("Text Editor");
root.addIndexedChild(header);
root.setOnLoad("fillNotesField()");

String maxLength = request.getParameter("maxLength"); 

FormBean form = new FormBean("form", null);
TextInputBean notes = new TextInputBean("notes", "");
notes.setRows(10);
notes.setColumns(100);
notes.setWrap("true");
if (!(maxLength==null)) 
{ 
  notes.setMaximumLength(new Integer(maxLength).intValue()); 
} 
form.addIndexedChild(notes);

SpacerBean spacer = new SpacerBean(40,1);
form.addIndexedChild(spacer);

RowLayoutBean row = new RowLayoutBean();
row.setHAlign("CENTER");

ButtonBean undoButton = new ButtonBean("Undo", "");
undoButton.setOnClick("return fillNotesField()");
row.addIndexedChild(undoButton);

row.addIndexedChild(spacer);


ButtonBean cancelButton = new ButtonBean("Cancel", "");
cancelButton.setOnClick("return doCancel()");
row.addIndexedChild(cancelButton);

row.addIndexedChild(spacer);

ButtonBean saveButton = new ButtonBean("OK", "");
saveButton.setOnClick("return returnNotes()");
row.addIndexedChild(saveButton);

form.addIndexedChild(row);

root.addIndexedChild(form);
%>
</jsp:useBean>
<%
  root.render(rContext);
%>
</html>

